---
kind: pipeline
name: compliance
trigger:
  event:
    - pull_request
steps:
  - name: build
    pull: always
    image: golang:1.16
    commands:
      - go test -race ./...
      - go build
  - name: check
    pull: always
    image: golang:1.16
    commands:
      - go vet ./...

---
kind: pipeline
name: release
trigger:
  event:
    - push
  branch:
    - main
steps:
  - name: build
    pull: always
    image: golang:1.16
    commands:
      - go build
  - name: gitea-release
    pull: always
    image: jolheiser/drone-gitea-main:latest
    settings:
      token:
        from_secret: gitea_token
      base: https://git.canopymc.net
      files:
        - "stonebot"